[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabControl.Change

Changes the active tab for the control.

## Declaration

Source position: comctrls.pp line 837

`protected procedure TTabControl.Change; override;`

## Description

Change is an overridden method in TTabControl. It re-implements the method from the ancestor class to signal the OnChange event handler (when assigned) to change the active tab for the control. An internal flag is used to determine if a previous call to OnChange has not been completed. No actions are performed in the method when the flag is set.

Change does not call the inherited method.

## See also

TTabControl.IsUpdating |  | Indicates if there are unfinished updates for one of the Tabs on the control.
TCustomTabControl.Change |  | Performs actions to show or hide pages when the current page is changed.